
Redmine - Defect #23470

Disable "Select project modules" permission does not apply to the new project form

2016-07-29 12:18 - Matteo Arceci

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Project settings Estimated time: 0.00 hour

Target version: 3.4.0   

Resolution: Fixed Affected version: 3.3.0

Description

Hi,

i have disabled "Select project modules" for a role! this is the default role assigned to the user when creating new projects

from now on he cannot select modules on 'project settings' form (correct behaviour)

unfortunatelly he can still select modules on the 'new project' form!

My environment:

Platform Ubuntu Server 14.04.4 LTS

Environment:

  Redmine version                3.3.0.stable

  Ruby version                   2.3.0-p0 (2015-12-25) [x86_64-linux]

  Rails version                  4.2.6

  Environment                    production

  Database adapter               Mysql2

SCM:

  Filesystem                     

Redmine plugins:

  redmine_checklists             3.1.3

  redmine_contacts               4.0.4

  redmine_custom_help_url        0.0.2

  redmine_dmsf                   1.5.6

  redmine_favorite_projects      2.0.2

  redmine_ics_export             3.0.1.dev

  redmine_language_change        0.1.0

  redmine_monitoring_controlling 0.1.1

  redmine_people                 1.2.0

  redmine_stats                  0.0.3

  redmine_xlsx_format_issue_exporter 0.1.2

  sidebar_hide                   0.0.7

Related issues:

Related to Redmine - Feature #1007: Create project for no administrator user Closed 2008-04-07

Associated revisions

Revision 15752 - 2016-08-30 21:32 - Jean-Philippe Lang

Disable "Select project modules" permission does not apply to the new project form (#23470).

History

#1 - 2016-08-24 04:10 - Toshi MARUYAMA

- Related to Feature #1007: Create project for no administrator user added

#2 - 2016-08-24 04:19 - Toshi MARUYAMA

- Status changed from New to Confirmed

#3 - 2016-08-24 04:21 - Toshi MARUYAMA

- Target version set to 3.4.0
#4 - 2016-08-30 21:33 - Jean-Philippe Lang

- Subject changed from disable "Select project modules" on role settings does not apply to the 'new project' form to Disable "Select project modules"

permission does not apply to the new project form

- Status changed from Confirmed to Resolved

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Fixed in r15752.

#5 - 2016-08-30 23:01 - Jean-Philippe Lang

- Status changed from Resolved to Closed

#6 - 2016-08-31 10:00 - Matteo Arceci

- Status changed from Closed to Reopened

Hi,

sorry but after upgrade files taken from r15752 i can still select modules on "new project form"

steps to reproduce:

1. Administrator -> Settings -> Projects -> Role given to a non-admin user who creates a project -> "test1"

2. Administrator -> Settings -> Roles and permissions -> "test1" -> Project -> Select project modules -> UNCHECK

3. login as a "non admin" user

4. Projects -> New project

in this form Modules section still show up with the ability to select / deselect modules

same environment

Kind regards,

#7 - 2016-08-31 11:27 - Matteo Arceci

after some other tests i found that the problem is only in the view that still show up the "Modules fieldset"

check / uncheck modules as no effect on the new project created

#8 - 2016-10-10 10:09 - Jean-Philippe Lang

- Status changed from Reopened to Closed

Sorry, I'm not able to reproduce and there's a test for this exact use case that was added with the fix.

Make sure that you have properly applied the fix.

Powered by TCPDF (www.tcpdf.org)

2025-05-01 2/2

https://www.redmine.org/projects/redmine/repository/svn/revisions/15752
http://www.redmine.org/projects/redmine/repository/revisions/15752
http://www.tcpdf.org

